<!-- Die Aufgabe orientiert sich an Aufgabe 10. Diesmal sollen zwei Zahlen übergeben werden. Überprüfen Sie diese zuerst auf ihre Richtigkeit. Sollte eine der beiden Zahlen nicht passen, geben Sie das aus und brechen ab. Ansonsten sollen folgende Werte angezeigt werden:
    - Welche der beiden Zahlen ist größer?
    - Wie hoch ist die Differenz der beiden Zahlen?
    - Sind beide Zahlen zusammen größer oder kleiner als 100?
    - Kann man beide Zahlen ohne Rest durcheinander Teilen?
-->

<?php

    //Code START
    if(!isset($_GET["num1"]) || empty($_GET["num1"]) || !is_numeric($_GET["num1"]))
    {
        echo "<p>Leider war die erste übergebene Zahl nicht valide :(</p>";
        exit();
    }
    if(!isset($_GET["num2"]) || empty($_GET["num2"]) || !is_numeric($_GET["num2"]))
    {
        echo "<p>Leider war die zweite übergebene Zahl nicht valide :(</p>";
        exit();
    }

    $num1 = $_GET["num1"];
    $num2 = $_GET["num2"];

    if($num1 > $num2) 
        echo "<p>Die erste Zahl ($num1) ist größer als die zweite Zahl ($num2).</p>";
    else if($num1 < $num2) 
        echo "<p>Die erste Zahl ($num1) ist kleiner als die zweite Zahl ($num2).</p>";
    else 
        echo "<p>Die erste Zahl ($num1) ist gleich groß wie die zweite Zahl ($num2).</p>";

    $dif = $num1 - $num2;
    if($dif < 0) $dif *= -1;

    echo "<p>Die Differenz der beiden Zahl ist $dif.</p>";

    if($num1 + $num2 > 100)
        echo "<p>Die beiden Zahlen ($num1 + $num2) sind zusammen größer als 100.</p>"; 
    else if($num1 + $num2 < 100)
        echo "<p>Die beiden Zahlen ($num1 + $num2) sind zusammen kleiner als 100.</p>"; 
    else
        echo "<p>Die beiden Zahlen ($num1 + $num2) sind zusammen gleich 100.</p>"; 


    if($num1 % $num2 == 0)
        echo "<p>Die erste Zahl ($num1) ist durch die zweite Zahl ($num2) restlos teilbar.</p>";
    else
        echo "<p>Die erste Zahl ($num1) ist nicht durch die zweite Zahl ($num2) restlos teilbar.</p>";

    
    if($num2 % $num1 == 0)
        echo "<p>Die zweite Zahl ($num2) ist durch die erste Zahl ($num1) restlos teilbar.</p>";
    else
        echo "<p>Die zweite Zahl ($num2) ist nicht durch die erste Zahl ($num1) restlos teilbar.</p>";
    
    //Code ENDE

?>